Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(20)

Issue 1827083002: Add spacingDisabled() check to ShapeResultSpacing (Closed)

Created:
3 years, 8 months ago by fs
Modified:
3 years, 8 months ago
Reviewers:
pdr., dgrogan, eae
CC:
blink-reviews, blink-reviews-platform-graphics_chromium.org, Rik, chromium-reviews, danakj+watch_chromium.org, dshwang, drott+blinkwatch_chromium.org, krit, f(malita), jbroman, Justin Novosad, kinuko+watch, pdr+graphicswatchlist_chromium.org, rwlbuis, Stephen Chennney
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Add spacingDisabled() check to ShapeResultSpacing SVGTextLayoutEngine applies letter-spacing and word-spacing itself, so without this we'd apply the spacing properties twice. This is essentially a bandaid work-around, until we can figure out how to handle this in a better way. BUG=583298 Committed: https://crrev.com/c991adfd9a653ed4d3c57af3736d16b2b21c9aa5 Cr-Commit-Position: refs/heads/master@{#383078}

Patch Set 1 #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+11 lines, -0 lines) Patch
M third_party/WebKit/LayoutTests/TestExpectations View 1 chunk +8 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/fonts/shaping/ShapeResultSpacing.cpp View 1 chunk +3 lines, -0 lines 2 comments Download

Messages

Total messages: 15 (4 generated)
fs
Reinstating this hack to fix the letter/word-spacing regression...
3 years, 8 months ago (2016-03-24 15:55:57 UTC) #2
fs
On 2016/03/24 at 15:55:57, fs wrote: > Reinstating this hack to fix the letter/word-spacing regression... ...
3 years, 8 months ago (2016-03-24 15:59:53 UTC) #3
eae
LGTM assuming this only applies to SVG text. https://codereview.chromium.org/1827083002/diff/1/third_party/WebKit/Source/platform/fonts/shaping/ShapeResultSpacing.cpp File third_party/WebKit/Source/platform/fonts/shaping/ShapeResultSpacing.cpp (right): https://codereview.chromium.org/1827083002/diff/1/third_party/WebKit/Source/platform/fonts/shaping/ShapeResultSpacing.cpp#newcode27 third_party/WebKit/Source/platform/fonts/shaping/ShapeResultSpacing.cpp:27: if ...
3 years, 8 months ago (2016-03-24 16:37:47 UTC) #4
fs
https://codereview.chromium.org/1827083002/diff/1/third_party/WebKit/Source/platform/fonts/shaping/ShapeResultSpacing.cpp File third_party/WebKit/Source/platform/fonts/shaping/ShapeResultSpacing.cpp (right): https://codereview.chromium.org/1827083002/diff/1/third_party/WebKit/Source/platform/fonts/shaping/ShapeResultSpacing.cpp#newcode27 third_party/WebKit/Source/platform/fonts/shaping/ShapeResultSpacing.cpp:27: if (m_textRun.spacingDisabled()) On 2016/03/24 at 16:37:47, eae wrote: > ...
3 years, 8 months ago (2016-03-24 16:43:00 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1827083002/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1827083002/1
3 years, 8 months ago (2016-03-24 16:43:28 UTC) #7
commit-bot: I haz the power
Committed patchset #1 (id:1)
3 years, 8 months ago (2016-03-24 16:48:19 UTC) #8
commit-bot: I haz the power
Patchset 1 (id:??) landed as https://crrev.com/c991adfd9a653ed4d3c57af3736d16b2b21c9aa5 Cr-Commit-Position: refs/heads/master@{#383078}
3 years, 8 months ago (2016-03-24 16:49:42 UTC) #10
dgrogan
Some svg tests are broken on Win7 after the rebaseline (https://codereview.chromium.org/1827233002) for this patch landed. ...
3 years, 8 months ago (2016-03-25 00:14:46 UTC) #12
fs
On 2016/03/25 at 00:14:46, dgrogan wrote: > Some svg tests are broken on Win7 after ...
3 years, 8 months ago (2016-03-25 00:22:43 UTC) #13
dgrogan
I've never used the rebaseline bot so I don't know what to tell you. Perhaps ...
3 years, 8 months ago (2016-03-25 00:30:23 UTC) #14
fs
3 years, 8 months ago (2016-03-25 01:08:21 UTC) #15
Message was sent while issue was closed.
On 2016/03/25 at 00:30:23, dgrogan wrote:
> I've never used the rebaseline bot so I don't know what to tell you. Perhaps
try marking the failing tests as needing a rebaseline again?

I uploaded https://codereview.chromium.org/1827103004 - hope that works out,
because I'm going to bed now.

Powered by Google App Engine
This is Rietveld 408576698